import { CssValue } from '@platform/css';
import * as React from 'react';
export declare type ITestProps = {
    style?: CssValue;
};
export declare type ITestState = {
    value?: string;
};
export declare class Test extends React.PureComponent<ITestProps, ITestState> {
    state: ITestState;
    private unmounted$;
    private state$;
    private events$;
    private input;
    private inputRef;
    componentDidMount(): void;
    componentWillUnmount(): void;
    render(): JSX.Element;
    private button;
    private renderInputs;
    private renderInput;
}
